Getting signed out of my FxA every other day or so

VERIFIED FIXED in Firefox 38

Status

()

defect
VERIFIED FIXED
4 years ago
2 years ago

People

(Reporter: mconley, Assigned: markh)

Tracking

Trunk
Firefox 40
Points:
---
Dependency tree / graph
Bug Flags:
qe-verify +

Firefox Tracking Flags

(firefox37 wontfix, firefox38 verified, firefox39 verified, firefox40 verified)

Details

Attachments

(1 attachment)

For the past few days on Nightly, I've been getting these notification bars at the bottom of the browser saying that syncing could not be performed (I'm paraphrasing heavily). When I check my Sync tab in about:preferences, my Firefox Account is listed as being signed out.

I sign back in, and everything starts working again.

But then a few days later, I'm signed out again. :/

There's nothing recent in about:sync-log to show you, I'm afraid. Not sure what else to include.
I am totally wrong - I _do_ have a sync log to share. I failed to realize that about:sync-log shows me items ordered oldest to newest.

1427119566860	Sync.Service	INFO	Loading Weave 1.41.0
1427119566862	Sync.Engine.Clients	DEBUG	Engine initialized
1427119566863	Sync.Engine.Clients	DEBUG	Resetting clients last sync time
1427119566868	Sync.Engine.Bookmarks	DEBUG	Engine initialized
1427119566871	Sync.Engine.Forms	DEBUG	Engine initialized
1427119566874	Sync.Engine.History	DEBUG	Engine initialized
1427119566877	Sync.Engine.Passwords	DEBUG	Engine initialized
1427119566880	Sync.Engine.Prefs	DEBUG	Engine initialized
1427119566883	Sync.Engine.Tabs	DEBUG	Engine initialized
1427119566883	Sync.Engine.Tabs	DEBUG	Resetting tabs last sync time
1427119566887	Sync.Engine.Addons	DEBUG	Engine initialized
1427119566888	Sync.Service	INFO	Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:39.0) Gecko/20100101 Firefox/39.0
1427119566894	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
1427119566895	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427119566895	Sync.Service	DEBUG	Caching URLs under storage user base: https://sync-182-us-west-2.sync.services.mozilla.com/1.5/15848290/
1427119566895	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427119566895	Sync.AddonsReconciler	INFO	Registering as Add-on Manager listener.
1427119566895	Sync.AddonsReconciler	DEBUG	Adding change listener.
1427119566896	Sync.Tracker.History	INFO	Adding Places observer.
1427119566907	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427119566919	FirefoxAccounts	INFO	returning partial account data as the login manager is locked.
1427119575384	Sync.SyncScheduler	DEBUG	Next sync in 90000 ms.
1427119576283	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427119580330	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427119592565	Sync.Tracker.Forms	DEBUG	Saving changed IDs to forms
1427119660907	Sync.Status	DEBUG	Status.login: success.login => error.login.reason.account
1427119660907	Sync.Status	DEBUG	Status.service: success.status_ok => error.login.failed
1427119665385	Sync.Service	DEBUG	User-Agent: Firefox/39.0a1 FxSync/1.41.0.20150320030211.
1427119665385	Sync.Service	INFO	Starting sync at 2015-03-23 10:07:45
1427119665385	Sync.Service	DEBUG	In sync: should login.
1427119665386	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427119665386	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427119665387	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427119665387	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427119665389	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
I've been seeing the "haven't synced in 14 days" notification bar. Is that what you're seeing, or just couldn't connect?
I haven't had the presence of mind to really memorize what the notification bar is saying to me. When it shows up again, I'll comment with it verbatim.
Mike,

1) Do you use master password?
2) If you could take screenshots of the bars and related error messages in the UI, that would be helpful.
Flags: needinfo?(mconley)
> 1427119566919	FirefoxAccounts	INFO	returning partial account data as the login manager is locked.

Mark,

Looks suspicious. We might need more debugging in these cases to figure out what is causing this.
Flags: needinfo?(mhammond)
:dietrich, see bug 1146054 and bug 1144636.
FTR, Mike *does* use a master-password, but clearly something is still going wrong.
Yep, I'm using a Master Password - sorry I didn't reply right away.

If and when I see this again, I'll tell you what the notification bar says. Keeping the needinfo on myself for that.
I got this again today. The message is:

"Sync has not been able to complete during hte last 14 days. Please check your network settings."

I click on the "Preferences" button in the notification bar, and under Firefox Account, I see:

"Please sign in to reconnect"

Here's today's sync log:

1427211614825	Sync.LogManager	DEBUG	Flushing file log
1427211614826	Sync.Service	DEBUG	Exception: Login failed: service.master_password_locked No traceback available
1427211614826	Sync.Service	DEBUG	Not syncing: login returned false.
1427211614849	FirefoxAccounts	INFO	returning partial account data as the login manager is locked.
1427211614855	Sync.LogManager	DEBUG	Log cleanup threshold time: 1426347614855
1427211614883	Sync.LogManager	DEBUG	Done deleting files.
1427211628732	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427211634906	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427211636880	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427211687103	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427211689162	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427211835827	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427212036487	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427212038818	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427212270162	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427212514806	Sync.SyncScheduler	DEBUG	Not initiating sync: Login status is service.master_password_locked
1427212514806	Sync.SyncScheduler	DEBUG	Starting client-initiated backoff. Next sync in 900000 ms.
1427212514806	Sync.SyncScheduler	DEBUG	Next sync in 900000 ms.
1427212620983	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213278571	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213287983	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213294539	Sync.Tracker.Passwords	DEBUG	Saving changed IDs to passwords
1427213295635	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213309970	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213315335	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213327877	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213334071	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427213414788	Sync.Service	DEBUG	User-Agent: Firefox/39.0a1 FxSync/1.41.0.20150324030207.
1427213414788	Sync.Service	INFO	Starting sync at 2015-03-24 12:10:14
1427213414788	Sync.Service	DEBUG	In sync: should login.
1427213414792	Sync.Status	DEBUG	Status.login: service.master_password_locked => error.login.reason.account
1427213414792	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427213414793	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427213414793	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427213414799	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.

Note that today I intentionally cancelled out of the Master Password prompt a few times in order to try to trigger this bug. I eventually entered it when I opened a Persona window when logging into an Etherpad.

I should also point out that I have e10s enabled.
Flags: needinfo?(mconley)
> "Sync has not been able to complete during hte last 14 days. Please check your network settings."

Mike, are you on Nightly? This could be Bug 1146054.
Flags: needinfo?(mconley)
Yes, I am on Nightly. For comment 9, I was on the 2015-03-24 Nightly.
Flags: needinfo?(mconley)
Mike, are you still seeing this on nightlies?  If not, then I suspect all you saw was bug 1146054 and that the master-password interactions are generally working OK for you.
Flags: needinfo?(mhammond) → needinfo?(mconley)
Yep, still seeing it:

10:42:21 AM:

1427378026433	Sync.Tracker.Clients	DEBUG	Saving changed IDs to clients
1427378026436	Sync.Tracker.Passwords	DEBUG	Saving changed IDs to passwords
1427378026531	Sync.Tracker.Bookmarks	DEBUG	Saving changed IDs to bookmarks
1427378026559	Sync.Tracker.Addons	DEBUG	Saving changed IDs to addons
1427378026561	Sync.Tracker.Forms	DEBUG	Saving changed IDs to forms
1427378026561	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427380788195	Sync.SyncScheduler	DEBUG	Woke from sleep.
1427380788195	Sync.SyncScheduler	DEBUG	More than 1 client. Syncing.
1427380878194	Sync.Service	DEBUG	User-Agent: Firefox/39.0a1 FxSync/1.41.0.20150325083046.
1427380878194	Sync.Service	INFO	Starting sync at 2015-03-26 10:41:18
1427380878199	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
1427380878200	Sync.Status	INFO	Resetting Status.
1427380878200	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427380878201	FirefoxAccounts	DEBUG	already verified
1427380878202	Sync.BrowserIDManager	INFO	Getting an assertion from: https://token.services.mozilla.com/1.0/sync/1.5
1427380878202	FirefoxAccounts	DEBUG	enter getAssertion()
1427380878210	FirefoxAccounts	DEBUG	getKeyPair: already have a keyPair
1427380878210	FirefoxAccounts	DEBUG	 getCertificate already had one
1427380878210	FirefoxAccounts	DEBUG	getAssertionFromCert
1427380878211	FirefoxAccounts	DEBUG	getAssertionFromCert returning signed: true
1427380878212	Sync.BrowserIDManager	DEBUG	Getting a token
1427380878212	Common.TokenServerClient	DEBUG	Beginning BID assertion exchange: https://token.services.mozilla.com/1.0/sync/1.5
1427380878454	Common.TokenServerClient	DEBUG	Got token response: 200
1427380878454	Sync.RESTResponse	TRACE	Processing response headers.
1427380878454	Common.TokenServerClient	DEBUG	Successful token response
1427380878454	Sync.BrowserIDManager	DEBUG	Successfully got a sync token
1427380941477	Sync.Status	DEBUG	Status.sync: success.sync => error.login.reason.network
1427380941477	Sync.Status	DEBUG	Status.service: success.status_ok => error.sync.failed
1427380941480	Sync.SyncScheduler	DEBUG	Next sync in 600000 ms.

12:03:23 PM:

1427385796748	Sync.Service	INFO	Loading Weave 1.41.0
1427385796750	Sync.Engine.Clients	DEBUG	Engine initialized
1427385796751	Sync.Engine.Clients	DEBUG	Resetting clients last sync time
1427385796756	Sync.Engine.Bookmarks	DEBUG	Engine initialized
1427385796758	Sync.Engine.Forms	DEBUG	Engine initialized
1427385796762	Sync.Engine.History	DEBUG	Engine initialized
1427385796766	Sync.Engine.Passwords	DEBUG	Engine initialized
1427385796769	Sync.Engine.Prefs	DEBUG	Engine initialized
1427385796771	Sync.Engine.Tabs	DEBUG	Engine initialized
1427385796772	Sync.Engine.Tabs	DEBUG	Resetting tabs last sync time
1427385796777	Sync.Engine.Addons	DEBUG	Engine initialized
1427385796778	Sync.Service	INFO	Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:39.0) Gecko/20100101 Firefox/39.0
1427385796781	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
1427385796782	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427385796782	Sync.Service	DEBUG	Caching URLs under storage user base: https://sync-182-us-west-2.sync.services.mozilla.com/1.5/15848290/
1427385796782	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427385796782	Sync.AddonsReconciler	INFO	Registering as Add-on Manager listener.
1427385796783	Sync.AddonsReconciler	DEBUG	Adding change listener.
1427385796783	Sync.Tracker.History	INFO	Adding Places observer.
1427385796798	Sync.Status	DEBUG	Status.service: success.status_ok => success.status_ok
1427385796811	FirefoxAccounts	INFO	returning partial account data as the login manager is locked.
1427385799499	Sync.SyncScheduler	DEBUG	Next sync in 600000 ms.
1427385800134	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427385803519	Sync.SyncScheduler	DEBUG	Global Score threshold hit, triggering sync.
1427385803519	Sync.Service	DEBUG	User-Agent: Firefox/39.0a1 FxSync/1.41.0.20150326030212.
1427385803519	Sync.Service	INFO	Starting sync at 2015-03-26 12:03:23
1427385803519	Sync.Service	DEBUG	In sync: should login.
1427385803521	Sync.Status	DEBUG	Status.login: success.login => error.login.reason.account
1427385803521	Sync.Status	DEBUG	Status.service: success.status_ok => error.login.failed
1427385803521	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427385803521	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427385803522	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.

12:59:15 PM:

1427385803524	Sync.LogManager	DEBUG	Flushing file log
1427385803524	Sync.LogManager	TRACE	Beginning stream copy to error-sync-1427385803524.txt: 1427385803524
1427385803525	Sync.Service	DEBUG	Exception: Error: User needs to re-authenticate (resource://gre/modules/services-sync/browserid_identity.js:147:28) JS Stack trace: this.BrowserIDManager.prototype.ensureLoggedIn@browserid_identity.js:147:29 < onNotify@service.js:994:7 < WrappedNotify@util.js:148:21 < WrappedLock@util.js:103:16 < WrappedCatch@util.js:77:16 < login@service.js:1022:12 < sync/<@service.js:1272:14 < WrappedCatch@util.js:77:16 < sync@service.js:1268:5
1427385803526	Sync.Service	DEBUG	Not syncing: login returned false.
1427385803606	Sync.LogManager	TRACE	finished copy to: /Users/mikeconley/Library/Application Support/Firefox/Profiles/nr0eyxwf.default/weave/logs/error-sync-1427385803524.txt
1427385803606	Sync.LogManager	TRACE	onCopyComplete: 1427385803606
1427385803606	Sync.LogManager	TRACE	Scheduling cleanup.
1427385803606	Sync.LogManager	DEBUG	Log cleanup threshold time: 1426521803606
1427385803711	Sync.LogManager	DEBUG	Done deleting files.
1427385804417	Sync.Tracker.Passwords	DEBUG	Saving changed IDs to passwords
1427385806802	FirefoxAccounts	DEBUG	getOAuthToken enter
1427385806804	FirefoxAccounts	DEBUG	FxAccountsOAuthGrantClient Initialized
1427385806807	FirefoxAccounts	DEBUG	enter getAssertion()
1427385806820	FirefoxAccounts	DEBUG	got keyPair
1427385806820	FirefoxAccounts	DEBUG	getCertificateSigned: true true
1427385807122	Hawk	DEBUG	(Response) /certificate/sign: code: 200 - Status text: OK
1427385807122	Sync.RESTResponse	TRACE	Processing response headers.
1427385807122	Hawk	DEBUG	Clock offset vs https://api.accounts.firefox.com/v1: -122
1427385807122	FirefoxAccounts	DEBUG	getCertificate got a new one: true
1427385807122	FirefoxAccounts	DEBUG	getAssertionFromCert
1427385807123	FirefoxAccounts	DEBUG	getAssertionFromCert returning signed: true
1427385808121	Sync.RESTResponse	TRACE	Processing response headers.
1427385809844	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427385838800	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427385838800	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427386366730	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386481627	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386483444	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386487276	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386490881	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386546878	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386578264	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386590195	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386592153	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386599848	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386621858	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386634581	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386644892	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386651642	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386654578	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386671172	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386674765	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386804575	Sync.Tracker.Forms	DEBUG	Saving changed IDs to forms
1427386804814	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386808367	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386827177	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386832033	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386851008	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386854897	Sync.Tracker.Forms	DEBUG	Saving changed IDs to forms
1427386855418	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386861912	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386865170	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386866983	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386932132	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427386994779	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387467614	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387515957	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387531588	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387537355	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387552480	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387559460	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387600686	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387615472	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387631448	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387653952	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387818548	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387844385	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387849130	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387853747	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387901195	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427387937917	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388020314	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388060927	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388139734	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388177887	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388227976	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388255967	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388268662	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388367789	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388440197	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388508710	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388554987	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388657492	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388674614	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388711278	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388739599	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388743605	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388777498	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388793083	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388801013	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388809828	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388812107	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427388817634	Sync.Tracker.History	DEBUG	Saving changed IDs to history
1427389155328	Sync.Service	DEBUG	User-Agent: Firefox/39.0a1 FxSync/1.41.0.20150326030212.
1427389155328	Sync.Service	INFO	Starting sync at 2015-03-26 12:59:15
1427389155328	Sync.Service	DEBUG	In sync: should login.
1427389155329	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427389155329	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427389155330	Sync.Status	DEBUG	Status.login: error.login.reason.account => error.login.reason.account
1427389155330	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1427389155332	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
Flags: needinfo?(mconley)
Flags: needinfo?(mhammond)
It turns out this is easy to reproduce.

* Start the browser, wait for first sync attempt (which prompts for MP) then decline to unlock.
* Do something else that prompts for an unlock and unlock when prompted - a simple way is to execute in a browser scratchpad:

> Cu.import("resource://services-sync/util.js");
> Utils.ensureMPUnlocked();
> dump("\nUNLOCKED\n");

* Do "Sync Now".

You end up in the "needs reauth" state.  The attached patch seems to solve the problem - we were being too aggressive about setting the LOGIN_FAILED state and should just leave that for unlockAndVerifyAuthState
Flags: needinfo?(mhammond)
Attachment #8585288 - Flags: review?(ckarlof)
Attachment #8585288 - Flags: review?(ckarlof) → review+
https://hg.mozilla.org/integration/fx-team/rev/283d8666043f
Assignee: nobody → mhammond
Status: NEW → ASSIGNED
https://hg.mozilla.org/mozilla-central/rev/283d8666043f
Status: ASSIGNED → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla40
Comment on attachment 8585288 [details] [diff] [review]
0005-Bug-1146346-fix-sync-login-when-master-password-was-.patch

I think we should take this all the way to beta given reading-list and passwords are likely to put even more pressure on master-password users. Risk is very low for non master password sync users.

Approval Request Comment
[Feature/regressing bug #]: old bug
[User impact if declined]: People using sync *and* a master password are asked to re-enter their Sync passwords regularly.
[Describe test coverage new/current, TreeHerder]: no new tests but existing tests pass
[Risks and why]: See above 
[String/UUID change made/needed]: None
Attachment #8585288 - Flags: approval-mozilla-beta?
Attachment #8585288 - Flags: approval-mozilla-aurora?
Attachment #8585288 - Flags: approval-mozilla-beta?
Attachment #8585288 - Flags: approval-mozilla-beta+
Attachment #8585288 - Flags: approval-mozilla-aurora?
Attachment #8585288 - Flags: approval-mozilla-aurora+
Flags: qe-verify+
I could reproduce using the steps from comment 14.
On Mac OS X 10.9.5, it works fine with Firefox 38 beta 3 and latest Dev Edition 39.0a2, but with Nightly 40.0a1 2015-04-10, I have the following error message:
"Sync encountered an error while syncing. Incorrect account name or password. Sync will automatically retry this action. <Preferences>".

Mark, can you please take a look?
Flags: needinfo?(mhammond)
Depends on: 1153708
(In reply to Petruta Rasa [QA] [:petruta] from comment #20)
> I could reproduce using the steps from comment 14.
> On Mac OS X 10.9.5, it works fine with Firefox 38 beta 3 and latest Dev
> Edition 39.0a2, but with Nightly 40.0a1 2015-04-10, I have the following
> error message:
> "Sync encountered an error while syncing. Incorrect account name or
> password. Sync will automatically retry this action. <Preferences>".
> 
> Mark, can you please take a look?

Thanks! This is a regression. I've opened bug 1153708, so let's mark this as "verified" as it did work before the regression :(
Flags: needinfo?(mhammond)
OS: Mac OS X → All
Hardware: x86 → All
Product: Core → Firefox
Target Milestone: mozilla40 → Firefox 40
You need to log in before you can comment on or make changes to this bug.